# Documentation: NexHardware.cpp File Reference

NexHardware.cpp File Reference

The implementation of base API for using Nextion. More...

`#include "NexHardware.h"`

Go to the source code of this file.

## Functions

bool | nexInit (void)
| Init Nextion. More...
void | nexLoop (NexTouch *nex_listen_list[])
| Listen touch event and calling callbacks attached before. More...

## Detailed Description

The implementation of base API for using Nextion.

Author
  Wu Pengfei (email:pengf.nosp@m.ei.w.nosp@m.u@ite.nosp@m.ad.c.nosp@m.c)

Date
  2015/8/11

Copyright
  Copyright (C) 2014-2015 ITEAD Intelligent Systems Co., Ltd.
  This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Definition in file NexHardware.cpp.